LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Functions
Sequence.h File Reference
`#include "typelib/typedescription.h"`
`#include "uno/sequence2.h"`
`#include "com/sun/star/uno/Type.h"`
`#include "rtl/alloc.h"`
`#include <new>`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::Sequence< typename >
| Template C++ class representing an IDL sequence. More...

## Namespaces
| rtl
| com
| com::sun
| com::sun::star
| com::sun::star::uno

## Functions
inline::com::sun::star::uno::Sequence < sal_Int8 > | com::sun::star::uno::toUnoSequence (const ::rtl::ByteSequence &rByteSequence) throw ()
| Creates a UNO byte sequence from a SAL byte sequence. More...
template<class E >
const ::com::sun::star::uno::Type & | getCppuType (const ::com::sun::star::uno::Sequence< E > *) throw ()
| Gets the meta type of IDL sequence. More...
template<class E >
const ::com::sun::star::uno::Type & | getCppuSequenceType (const ::com::sun::star::uno::Type &rElementType) throw ()
| Gets the meta type of IDL sequence. More...
const ::com::sun::star::uno::Type & | getCharSequenceCppuType () throw ()
| Gets the meta type of IDL sequence< char >. More...

## Function Documentation

const ::com::sun::star::uno::Type& getCharSequenceCppuType | ( |  | ) |
throw | ( |
| ) |  |
| inline

Gets the meta type of IDL sequence< char >.

This function has been introduced due to ambiguities with unsigned short.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL sequence< char >

template<class E >

const ::com::sun::star::uno::Type& getCppuSequenceType | ( | const ::com::sun::star::uno::Type & | rElementType | ) |
throw | ( |
| ) |  |
| inline

Gets the meta type of IDL sequence.

This function has been introduced, because one cannot get the (templated) cppu type out of C++ array types. Array types have special getCppuArrayTypeN() functions.

Attention
  the given element type must be the same as the template argument type!

Template Parameters

  E | element type of sequence

Parameters

  rElementType | element type of sequence

Returns
  type of IDL sequence

template<class E >

const ::com::sun::star::uno::Type& getCppuType | ( | const ::com::sun::star::uno::Sequence< E > * |  | ) |
throw | ( |
| ) |  |
| inline

Gets the meta type of IDL sequence.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Template Parameters

  E | element type of sequence

Returns
  type of IDL sequence